<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;

class RolesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //

        Role::firstOrCreate(['name' => 'Admin']);
        Role::firstOrCreate(['name' => 'Store']);
        Role::firstOrCreate(['name' => 'Sales']);
        Role::firstOrCreate(['name' => 'Supervisor']);
        Role::firstOrCreate(['name' => 'Accounts']);
        Role::firstOrCreate(['name' => 'Border Staff']);
    }
}
